%global momorel 22

Name:           perl-Graphics-ColorNames
Version:        2.11
Release:        %{momorel}m%{?dist}
Summary:        Defines RGB values for common color names
License:        "GPL or Artistic"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Graphics-ColorNames/
Source0:        http://www.cpan.org/modules/by-module/Graphics/Graphics-ColorNames-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Module-Load >= 0.1
BuildRequires:  perl-Pod-Readme >= 0.09
BuildRequires:  perl-Test-Pod >= 1
BuildRequires:  perl-Test-Pod-Coverage
BuildRequires:  perl-Test-Portability-Files
Requires:       perl-Module-Load >= 0.1
Requires:       perl-Pod-Readme >= 0.09
Requires:       perl-Test-Pod >= 1
Requires:       perl-Test-Pod-Coverage
Requires:       perl-Test-Portability-Files
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module defines RGB values for common color names. The intention is to
(1) provide a common module that authors can use with other modules to
specify colors by name; and (2) free module authors from having to "re-
invent the wheel" whenever they decide to give the users the option of
specifying a color by name rather than RGB value.

%prep
%setup -q -n Graphics-ColorNames-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Graphics/ColorNames*
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-22m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-21m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-20m)
- reuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-19m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-18m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-17m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-16m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-15m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-14m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-13m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-12m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.11-11m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.11-10m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-9m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.11-8m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.11-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-4m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.11-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11-2m)
- rebuild against gcc43

* Mon Jan 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-1m)
- update to 2.11

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-1m)
- update to 2.04
- spec file was re-generated by cpanspec 1.73 for Momonga Linux.

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.06-3m)
- use vendor

* Sun Mar  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.06-2m)
- BuildRequires perl-Test-Pod

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.06-1m)
- spec file was autogenerated
